:root {
	--dt-row-selected: 13, 110, 253;
	--dt-row-selected-text: 255, 255, 255;
	--dt-row-selected-link: 228, 228, 228;
	--dt-row-stripe: 0, 0, 0;
	--dt-row-hover: 0, 0, 0;
	--dt-column-ordering: 0, 0, 0;
	--dt-header-align-items: center;
	--dt-header-vertical-align: middle;
	--dt-html-background: white
}

:root.dark {
	--dt-html-background: rgb(33, 37, 41)
}

table.dataTable tbody td.dt-control {
	text-align: center;
	cursor: pointer
}

table.dataTable tbody td.dt-control:before {
	display: inline-block;
	box-sizing: border-box;
	content: "";
	border-top: 5px solid transparent;
	border-left: 10px solid rgba(0, 0, 0, 0.5);
	border-bottom: 5px solid transparent;
	border-right: 0px solid transparent
}

table.dataTable tbody tr.dt-hasChild td.dt-control:before {
	border-top: 10px solid rgba(0, 0, 0, 0.5);
	border-left: 5px solid transparent;
	border-bottom: 0px solid transparent;
	border-right: 5px solid transparent
}

table.dataTable tfoot:empty {
	display: none
}

html.dark table.dataTable td.dt-control:before,
:root[data-bs-theme=dark] table.dataTable td.dt-control:before,
:root[data-theme=dark] table.dataTable td.dt-control:before {
	border-left-color: rgba(255, 255, 255, 0.5)
}

html.dark table.dataTable tr.dt-hasChild td.dt-control:before,
:root[data-bs-theme=dark] table.dataTable tr.dt-hasChild td.dt-control:before,
:root[data-theme=dark] table.dataTable tr.dt-hasChild td.dt-control:before {
	border-top-color: rgba(255, 255, 255, 0.5);
	border-left-color: transparent
}

div.dt-scroll {
	width: 100%
}

div.dt-scroll-body thead tr,
div.dt-scroll-body tfoot tr {
	height: 0
}

div.dt-scroll-body thead tr th,
div.dt-scroll-body thead tr td,
div.dt-scroll-body tfoot tr th,
div.dt-scroll-body tfoot tr td {
	height: 0 !important;
	padding-top: 0px !important;
	padding-bottom: 0px !important;
	border-top-width: 0px !important;
	border-bottom-width: 0px !important
}

div.dt-scroll-body thead tr th div.dt-scroll-sizing,
div.dt-scroll-body thead tr td div.dt-scroll-sizing,
div.dt-scroll-body tfoot tr th div.dt-scroll-sizing,
div.dt-scroll-body tfoot tr td div.dt-scroll-sizing {
	height: 0 !important;
	overflow: hidden !important
}

table.dataTable thead>tr>th:active,
table.dataTable thead>tr>td:active {
	outline: none
}

table.dataTable thead>tr>th.dt-orderable-asc .dt-column-order:before,
table.dataTable thead>tr>th.dt-ordering-asc .dt-column-order:before,
table.dataTable thead>tr>td.dt-orderable-asc .dt-column-order:before,
table.dataTable thead>tr>td.dt-ordering-asc .dt-column-order:before {
	position: absolute;
	display: block;
	bottom: 50%;
	content: "▲";
	content: "▲" /""
}

table.dataTable thead>tr>th.dt-orderable-desc .dt-column-order:after,
table.dataTable thead>tr>th.dt-ordering-desc .dt-column-order:after,
table.dataTable thead>tr>td.dt-orderable-desc .dt-column-order:after,
table.dataTable thead>tr>td.dt-ordering-desc .dt-column-order:after {
	position: absolute;
	display: block;
	top: 50%;
	content: "▼";
	content: "▼" /""
}

table.dataTable thead>tr>th.dt-orderable-asc .dt-column-order,
table.dataTable thead>tr>th.dt-orderable-desc .dt-column-order,
table.dataTable thead>tr>th.dt-ordering-asc .dt-column-order,
table.dataTable thead>tr>th.dt-ordering-desc .dt-column-order,
table.dataTable thead>tr>td.dt-orderable-asc .dt-column-order,
table.dataTable thead>tr>td.dt-orderable-desc .dt-column-order,
table.dataTable thead>tr>td.dt-ordering-asc .dt-column-order,
table.dataTable thead>tr>td.dt-ordering-desc .dt-column-order {
	position: relative;
	width: 12px;
	height: 20px
}

table.dataTable thead>tr>th.dt-orderable-asc .dt-column-order:before,
table.dataTable thead>tr>th.dt-orderable-asc .dt-column-order:after,
table.dataTable thead>tr>th.dt-orderable-desc .dt-column-order:before,
table.dataTable thead>tr>th.dt-orderable-desc .dt-column-order:after,
table.dataTable thead>tr>th.dt-ordering-asc .dt-column-order:before,
table.dataTable thead>tr>th.dt-ordering-asc .dt-column-order:after,
table.dataTable thead>tr>th.dt-ordering-desc .dt-column-order:before,
table.dataTable thead>tr>th.dt-ordering-desc .dt-column-order:after,
table.dataTable thead>tr>td.dt-orderable-asc .dt-column-order:before,
table.dataTable thead>tr>td.dt-orderable-asc .dt-column-order:after,
table.dataTable thead>tr>td.dt-orderable-desc .dt-column-order:before,
table.dataTable thead>tr>td.dt-orderable-desc .dt-column-order:after,
table.dataTable thead>tr>td.dt-ordering-asc .dt-column-order:before,
table.dataTable thead>tr>td.dt-ordering-asc .dt-column-order:after,
table.dataTable thead>tr>td.dt-ordering-desc .dt-column-order:before,
table.dataTable thead>tr>td.dt-ordering-desc .dt-column-order:after {
	left: 0;
	opacity: .125;
	line-height: 9px;
	font-size: .8em
}

table.dataTable thead>tr>th.dt-orderable-asc,
table.dataTable thead>tr>th.dt-orderable-desc,
table.dataTable thead>tr>td.dt-orderable-asc,
table.dataTable thead>tr>td.dt-orderable-desc {
	cursor: pointer
}

table.dataTable thead>tr>th.dt-orderable-asc:hover,
table.dataTable thead>tr>th.dt-orderable-desc:hover,
table.dataTable thead>tr>td.dt-orderable-asc:hover,
table.dataTable thead>tr>td.dt-orderable-desc:hover {
	outline: 2px solid rgba(0, 0, 0, 0.05);
	outline-offset: -2px
}

table.dataTable thead>tr>th.dt-ordering-asc .dt-column-order:before,
table.dataTable thead>tr>th.dt-ordering-desc .dt-column-order:after,
table.dataTable thead>tr>td.dt-ordering-asc .dt-column-order:before,
table.dataTable thead>tr>td.dt-ordering-desc .dt-column-order:after {
	opacity: .6
}

table.dataTable thead>tr>th.dt-orderable-none:not(.dt-ordering-asc, .dt-ordering-desc) .dt-column-order:empty,
table.dataTable thead>tr>th.sorting_desc_disabled .dt-column-order:after,
table.dataTable thead>tr>th.sorting_asc_disabled .dt-column-order:before,
table.dataTable thead>tr>td.dt-orderable-none:not(.dt-ordering-asc, .dt-ordering-desc) .dt-column-order:empty,
table.dataTable thead>tr>td.sorting_desc_disabled .dt-column-order:after,
table.dataTable thead>tr>td.sorting_asc_disabled .dt-column-order:before {
	display: none
}

table.dataTable thead>tr>th:active,
table.dataTable thead>tr>td:active {
	outline: none
}

table.dataTable thead>tr>th div.dt-column-header,
table.dataTable thead>tr>th div.dt-column-footer,
table.dataTable thead>tr>td div.dt-column-header,
table.dataTable thead>tr>td div.dt-column-footer,
table.dataTable tfoot>tr>th div.dt-column-header,
table.dataTable tfoot>tr>th div.dt-column-footer,
table.dataTable tfoot>tr>td div.dt-column-header,
table.dataTable tfoot>tr>td div.dt-column-footer {
	display: flex;
	justify-content: space-between;
	align-items: var(--dt-header-align-items);
	gap: 4px
}

table.dataTable thead>tr>th div.dt-column-header .dt-column-title,
table.dataTable thead>tr>th div.dt-column-footer .dt-column-title,
table.dataTable thead>tr>td div.dt-column-header .dt-column-title,
table.dataTable thead>tr>td div.dt-column-footer .dt-column-title,
table.dataTable tfoot>tr>th div.dt-column-header .dt-column-title,
table.dataTable tfoot>tr>th div.dt-column-footer .dt-column-title,
table.dataTable tfoot>tr>td div.dt-column-header .dt-column-title,
table.dataTable tfoot>tr>td div.dt-column-footer .dt-column-title {
	flex-grow: 1
}

table.dataTable thead>tr>th div.dt-column-header .dt-column-title:empty,
table.dataTable thead>tr>th div.dt-column-footer .dt-column-title:empty,
table.dataTable thead>tr>td div.dt-column-header .dt-column-title:empty,
table.dataTable thead>tr>td div.dt-column-footer .dt-column-title:empty,
table.dataTable tfoot>tr>th div.dt-column-header .dt-column-title:empty,
table.dataTable tfoot>tr>th div.dt-column-footer .dt-column-title:empty,
table.dataTable tfoot>tr>td div.dt-column-header .dt-column-title:empty,
table.dataTable tfoot>tr>td div.dt-column-footer .dt-column-title:empty {
	display: none
}

div.dt-scroll-body>table.dataTable>thead>tr>th,
div.dt-scroll-body>table.dataTable>thead>tr>td {
	overflow: hidden
}

:root.dark table.dataTable thead>tr>th.dt-orderable-asc:hover,
:root.dark table.dataTable thead>tr>th.dt-orderable-desc:hover,
:root.dark table.dataTable thead>tr>td.dt-orderable-asc:hover,
:root.dark table.dataTable thead>tr>td.dt-orderable-desc:hover,
:root[data-bs-theme=dark] table.dataTable thead>tr>th.dt-orderable-asc:hover,
:root[data-bs-theme=dark] table.dataTable thead>tr>th.dt-orderable-desc:hover,
:root[data-bs-theme=dark] table.dataTable thead>tr>td.dt-orderable-asc:hover,
:root[data-bs-theme=dark] table.dataTable thead>tr>td.dt-orderable-desc:hover {
	outline: 2px solid rgba(255, 255, 255, 0.05)
}

div.dt-processing {
	position: absolute;
	top: 50%;
	left: 50%;
	width: 200px;
	margin-left: -100px;
	margin-top: -22px;
	text-align: center;
	padding: 2px;
	z-index: 10
}

div.dt-processing>div:last-child {
	position: relative;
	width: 80px;
	height: 15px;
	margin: 1em auto
}

div.dt-processing>div:last-child>div {
	position: absolute;
	top: 0;
	width: 13px;
	height: 13px;
	border-radius: 50%;
	background: rgb(13, 110, 253);
	background: rgb(var(--dt-row-selected));
	animation-timing-function: cubic-bezier(0, 1, 1, 0)
}

div.dt-processing>div:last-child>div:nth-child(1) {
	left: 8px;
	animation: datatables-loader-1 .6s infinite
}

div.dt-processing>div:last-child>div:nth-child(2) {
	left: 8px;
	animation: datatables-loader-2 .6s infinite
}

div.dt-processing>div:last-child>div:nth-child(3) {
	left: 32px;
	animation: datatables-loader-2 .6s infinite
}

div.dt-processing>div:last-child>div:nth-child(4) {
	left: 56px;
	animation: datatables-loader-3 .6s infinite
}

@keyframes datatables-loader-1 {
	0% {
		transform: scale(0)
	}

	100% {
		transform: scale(1)
	}
}

@keyframes datatables-loader-3 {
	0% {
		transform: scale(1)
	}

	100% {
		transform: scale(0)
	}
}

@keyframes datatables-loader-2 {
	0% {
		transform: translate(0, 0)
	}

	100% {
		transform: translate(24px, 0)
	}
}

table.dataTable.nowrap th,
table.dataTable.nowrap td {
	white-space: nowrap
}

table.dataTable th,
table.dataTable td {
	box-sizing: border-box
}

table.dataTable th.dt-type-date,
table.dataTable td.dt-type-numeric,
table.dataTable td.dt-type-date {
	text-align: right
}

table.dataTable th.dt-type-numeric div.dt-column-footer,
table.dataTable th.dt-type-date div.dt-column-header,
table.dataTable th.dt-type-date div.dt-column-footer,
table.dataTable td.dt-type-numeric div.dt-column-footer,
table.dataTable td.dt-type-date div.dt-column-header,
table.dataTable td.dt-type-date div.dt-column-footer {
	flex-direction: row-reverse
}

table.dataTable th.dt-left,
table.dataTable td.dt-left {
	text-align: left
}

table.dataTable th.dt-left div.dt-column-header,
table.dataTable th.dt-left div.dt-column-footer,
table.dataTable td.dt-left div.dt-column-header,
table.dataTable td.dt-left div.dt-column-footer {
	flex-direction: row
}

table.dataTable th.dt-center,
table.dataTable td.dt-center {
	text-align: center
}

table.dataTable th.dt-right,
table.dataTable td.dt-right {
	text-align: right
}

table.dataTable th.dt-right div.dt-column-header,
table.dataTable th.dt-right div.dt-column-footer,
table.dataTable td.dt-right div.dt-column-header,
table.dataTable td.dt-right div.dt-column-footer {
	flex-direction: row-reverse
}

table.dataTable th.dt-justify,
table.dataTable td.dt-justify {
	text-align: justify
}

table.dataTable th.dt-justify div.dt-column-header,
table.dataTable th.dt-justify div.dt-column-footer,
table.dataTable td.dt-justify div.dt-column-header,
table.dataTable td.dt-justify div.dt-column-footer {
	flex-direction: row
}

table.dataTable th.dt-nowrap,
table.dataTable td.dt-nowrap {
	white-space: nowrap
}

table.dataTable th.dt-empty,
table.dataTable td.dt-empty {
	text-align: center;
	vertical-align: top
}

table.dataTable thead th,
table.dataTable thead td,
table.dataTable tfoot th,
table.dataTable tfoot td {
	text-align: left;
	vertical-align: var(--dt-header-vertical-align)
}

table.dataTable thead th.dt-head-left,
table.dataTable thead td.dt-head-left,
table.dataTable tfoot th.dt-head-left,
table.dataTable tfoot td.dt-head-left {
	text-align: left
}

table.dataTable thead th.dt-head-left div.dt-column-header,
table.dataTable thead th.dt-head-left div.dt-column-footer,
table.dataTable thead td.dt-head-left div.dt-column-header,
table.dataTable thead td.dt-head-left div.dt-column-footer,
table.dataTable tfoot th.dt-head-left div.dt-column-header,
table.dataTable tfoot th.dt-head-left div.dt-column-footer,
table.dataTable tfoot td.dt-head-left div.dt-column-header,
table.dataTable tfoot td.dt-head-left div.dt-column-footer {
	flex-direction: row
}

table.dataTable thead th.dt-head-center,
table.dataTable thead td.dt-head-center,
table.dataTable tfoot th.dt-head-center,
table.dataTable tfoot td.dt-head-center {
	text-align: center
}

table.dataTable thead th.dt-head-right,
table.dataTable thead td.dt-head-right,
table.dataTable tfoot th.dt-head-right,
table.dataTable tfoot td.dt-head-right {
	text-align: right
}

table.dataTable thead th.dt-head-right div.dt-column-header,
table.dataTable thead th.dt-head-right div.dt-column-footer,
table.dataTable thead td.dt-head-right div.dt-column-header,
table.dataTable thead td.dt-head-right div.dt-column-footer,
table.dataTable tfoot th.dt-head-right div.dt-column-header,
table.dataTable tfoot th.dt-head-right div.dt-column-footer,
table.dataTable tfoot td.dt-head-right div.dt-column-header,
table.dataTable tfoot td.dt-head-right div.dt-column-footer {
	flex-direction: row-reverse
}

table.dataTable thead th.dt-head-justify,
table.dataTable thead td.dt-head-justify,
table.dataTable tfoot th.dt-head-justify,
table.dataTable tfoot td.dt-head-justify {
	text-align: justify
}

table.dataTable thead th.dt-head-justify div.dt-column-header,
table.dataTable thead th.dt-head-justify div.dt-column-footer,
table.dataTable thead td.dt-head-justify div.dt-column-header,
table.dataTable thead td.dt-head-justify div.dt-column-footer,
table.dataTable tfoot th.dt-head-justify div.dt-column-header,
table.dataTable tfoot th.dt-head-justify div.dt-column-footer,
table.dataTable tfoot td.dt-head-justify div.dt-column-header,
table.dataTable tfoot td.dt-head-justify div.dt-column-footer {
	flex-direction: row
}

table.dataTable thead th.dt-head-nowrap,
table.dataTable thead td.dt-head-nowrap,
table.dataTable tfoot th.dt-head-nowrap,
table.dataTable tfoot td.dt-head-nowrap {
	white-space: nowrap
}

table.dataTable tbody th.dt-body-left,
table.dataTable tbody td.dt-body-left {
	text-align: left
}

table.dataTable tbody th.dt-body-center,
table.dataTable tbody td.dt-body-center {
	text-align: center
}

table.dataTable tbody th.dt-body-right,
table.dataTable tbody td.dt-body-right {
	text-align: right
}

table.dataTable tbody th.dt-body-justify,
table.dataTable tbody td.dt-body-justify {
	text-align: justify
}

table.dataTable tbody th.dt-body-nowrap,
table.dataTable tbody td.dt-body-nowrap {
	white-space: nowrap
}

:root {
	--dt-row-hover-alpha: 0.035;
	--dt-row-stripe-alpha: 0.023;
	--dt-column-ordering-alpha: 0.019;
	--dt-row-selected-stripe-alpha: 0.923;
	--dt-row-selected-column-ordering-alpha: 0.919
}

table.dataTable {
	width: 100%;
	margin: 0 auto;
	border-spacing: 0
}

table.dataTable thead th,
table.dataTable tfoot th {
	font-weight: bold
}

table.dataTable>thead>tr>th,
table.dataTable>thead>tr>td {
	padding: 10px;
	border-bottom: 1px solid rgba(0, 0, 0, 0.3)
}

table.dataTable>thead>tr>th:active,
table.dataTable>thead>tr>td:active {
	outline: none
}

table.dataTable>tfoot>tr>th,
table.dataTable>tfoot>tr>td {
	border-top: 1px solid rgba(0, 0, 0, 0.3);
	padding: 10px 10px 6px 10px
}

table.dataTable>tbody>tr {
	background-color: transparent
}

table.dataTable>tbody>tr:first-child>* {
	border-top: none
}

table.dataTable>tbody>tr:last-child>* {
	border-bottom: none
}

table.dataTable>tbody>tr.selected>* {
	box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.9);
	box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected), 0.9);
	color: rgb(255, 255, 255);
	color: rgb(var(--dt-row-selected-text))
}

table.dataTable>tbody>tr.selected a {
	color: rgb(228, 228, 228);
	color: rgb(var(--dt-row-selected-link))
}

table.dataTable>tbody>tr>th,
table.dataTable>tbody>tr>td {
	padding: 8px 10px
}

table.dataTable.row-border>tbody>tr>*,
table.dataTable.display>tbody>tr>* {
	border-top: 1px solid rgba(0, 0, 0, 0.15)
}

table.dataTable.row-border>tbody>tr:first-child>*,
table.dataTable.display>tbody>tr:first-child>* {
	border-top: none
}

table.dataTable.row-border>tbody>tr.selected+tr.selected>td,
table.dataTable.display>tbody>tr.selected+tr.selected>td {
	border-top-color: rgba(13, 110, 253, 0.65);
	border-top-color: rgba(var(--dt-row-selected), 0.65)
}

table.dataTable.cell-border>tbody>tr>* {
	border-top: 1px solid rgba(0, 0, 0, 0.15);
	border-right: 1px solid rgba(0, 0, 0, 0.15)
}

table.dataTable.cell-border>tbody>tr>*:first-child {
	border-left: 1px solid rgba(0, 0, 0, 0.15)
}

table.dataTable.cell-border>tbody>tr:first-child>* {
	border-top: 1px solid rgba(0, 0, 0, 0.3)
}

table.dataTable.stripe>tbody>tr:nth-child(odd)>*,
table.dataTable.display>tbody>tr:nth-child(odd)>* {
	box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.023);
	box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-stripe), var(--dt-row-stripe-alpha))
}

table.dataTable.stripe>tbody>tr:nth-child(odd).selected>*,
table.dataTable.display>tbody>tr:nth-child(odd).selected>* {
	box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.923);
	box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected), var(--dt-row-selected-stripe-alpha))
}

table.dataTable.hover>tbody>tr:hover>*,
table.dataTable.display>tbody>tr:hover>* {
	box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.035);
	box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-hover), var(--dt-row-hover-alpha))
}

table.dataTable.hover>tbody>tr.selected:hover>*,
table.dataTable.display>tbody>tr.selected:hover>* {
	box-shadow: inset 0 0 0 9999px #0d6efd !important;
	box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected), 1) !important
}

table.dataTable.order-column>tbody tr>.sorting_1,
table.dataTable.order-column>tbody tr>.sorting_2,
table.dataTable.order-column>tbody tr>.sorting_3,
table.dataTable.display>tbody tr>.sorting_1,
table.dataTable.display>tbody tr>.sorting_2,
table.dataTable.display>tbody tr>.sorting_3 {
	box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.019);
	box-shadow: inset 0 0 0 9999px rgba(var(--dt-column-ordering), var(--dt-column-ordering-alpha))
}

table.dataTable.order-column>tbody tr.selected>.sorting_1,
table.dataTable.order-column>tbody tr.selected>.sorting_2,
table.dataTable.order-column>tbody tr.selected>.sorting_3,
table.dataTable.display>tbody tr.selected>.sorting_1,
table.dataTable.display>tbody tr.selected>.sorting_2,
table.dataTable.display>tbody tr.selected>.sorting_3 {
	box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.919);
	box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected), var(--dt-row-selected-column-ordering-alpha))
}

table.dataTable.display>tbody>tr:nth-child(odd)>.sorting_1,
table.dataTable.order-column.stripe>tbody>tr:nth-child(odd)>.sorting_1 {
	box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.054);
	box-shadow: inset 0 0 0 9999px rgba(var(--dt-column-ordering), calc(var(--dt-row-stripe-alpha) + var(--dt-column-ordering-alpha)))
}

table.dataTable.display>tbody>tr:nth-child(odd)>.sorting_2,
table.dataTable.order-column.stripe>tbody>tr:nth-child(odd)>.sorting_2 {
	box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.047);
	box-shadow: inset 0 0 0 9999px rgba(var(--dt-column-ordering), calc(var(--dt-row-stripe-alpha) + var(--dt-column-ordering-alpha) - 0.007))
}

table.dataTable.display>tbody>tr:nth-child(odd)>.sorting_3,
table.dataTable.order-column.stripe>tbody>tr:nth-child(odd)>.sorting_3 {
	box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.039);
	box-shadow: inset 0 0 0 9999px rgba(var(--dt-column-ordering), calc(var(--dt-row-stripe-alpha) + var(--dt-column-ordering-alpha) - 0.015))
}

table.dataTable.display>tbody>tr:nth-child(odd).selected>.sorting_1,
table.dataTable.order-column.stripe>tbody>tr:nth-child(odd).selected>.sorting_1 {
	box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.954);
	box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected), calc(var(--dt-row-selected-stripe-alpha) + var(--dt-column-ordering-alpha)))
}

table.dataTable.display>tbody>tr:nth-child(odd).selected>.sorting_2,
table.dataTable.order-column.stripe>tbody>tr:nth-child(odd).selected>.sorting_2 {
	box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.947);
	box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected), calc(var(--dt-row-selected-stripe-alpha) + var(--dt-column-ordering-alpha) - 0.007))
}

table.dataTable.display>tbody>tr:nth-child(odd).selected>.sorting_3,
table.dataTable.order-column.stripe>tbody>tr:nth-child(odd).selected>.sorting_3 {
	box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.939);
	box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected), calc(var(--dt-row-selected-stripe-alpha) + var(--dt-column-ordering-alpha) - 0.015))
}

table.dataTable.display tbody tr:hover>.sorting_1,
table.dataTable.order-column.hover tbody tr:hover>.sorting_1 {
	box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.082);
	box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-hover), calc(var(--dt-row-stripe-alpha) + var(--dt-column-ordering-alpha) + var(--dt-row-hover-alpha)))
}

table.dataTable.display tbody tr:hover>.sorting_2,
table.dataTable.order-column.hover tbody tr:hover>.sorting_2 {
	box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.074);
	box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-hover), calc(var(--dt-row-stripe-alpha) + var(--dt-column-ordering-alpha) + var(--dt-row-hover-alpha) - 0.007))
}

table.dataTable.display tbody tr:hover>.sorting_3,
table.dataTable.order-column.hover tbody tr:hover>.sorting_3 {
	box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.062);
	box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-hover), calc(var(--dt-row-stripe-alpha) + var(--dt-column-ordering-alpha) + var(--dt-row-hover-alpha) - 0.015))
}

table.dataTable.display tbody tr:hover.selected>.sorting_1,
table.dataTable.order-column.hover tbody tr:hover.selected>.sorting_1 {
	box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.982);
	box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected), calc(var(--dt-row-selected-stripe-alpha) + var(--dt-column-ordering-alpha)))
}

table.dataTable.display tbody tr:hover.selected>.sorting_2,
table.dataTable.order-column.hover tbody tr:hover.selected>.sorting_2 {
	box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.974);
	box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected), calc(var(--dt-row-selected-stripe-alpha) + var(--dt-column-ordering-alpha) + var(--dt-row-hover-alpha) - 0.007))
}

table.dataTable.display tbody tr:hover.selected>.sorting_3,
table.dataTable.order-column.hover tbody tr:hover.selected>.sorting_3 {
	box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.962);
	box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected), calc(var(--dt-row-selected-stripe-alpha) + var(--dt-column-ordering-alpha) + var(--dt-row-hover-alpha) - 0.015))
}

table.dataTable.compact thead th,
table.dataTable.compact thead td,
table.dataTable.compact tfoot th,
table.dataTable.compact tfoot td,
table.dataTable.compact tbody th,
table.dataTable.compact tbody td {
	padding: 4px
}

div.dt-container div.dt-layout-row {
	display: flex;
	justify-content: space-between;
	align-items: center;
	width: 100%;
	margin: .75em 0
}

div.dt-container div.dt-layout-row div.dt-layout-cell {
	display: flex;
	justify-content: space-between;
	align-items: center
}

div.dt-container div.dt-layout-row div.dt-layout-cell.dt-layout-start {
	justify-content: flex-start;
	margin-right: auto
}

div.dt-container div.dt-layout-row div.dt-layout-cell.dt-layout-end {
	justify-content: flex-end;
	margin-left: auto
}

div.dt-container div.dt-layout-row div.dt-layout-cell:empty {
	display: none
}

@media screen and (max-width: 767px) {
	div.dt-container div.dt-layout-row:not(.dt-layout-table) {
		display: block;
	}

	div.dt-container div.dt-layout-row:not(.dt-layout-table) div.dt-layout-cell {
		display: block;
		text-align: center;
	}

	div.dt-container div.dt-layout-row:not(.dt-layout-table) div.dt-layout-cell>* {
		margin: .5em 0;
	}

	div.dt-container div.dt-layout-row:not(.dt-layout-table) div.dt-layout-cell.dt-layout-start {
		margin-right: 0;
		float: left;
	}

	div.dt-container div.dt-layout-row:not(.dt-layout-table) div.dt-layout-cell.dt-layout-end {
		margin-left: 0;
		float: right;
	}
}

div.dt-container div.dt-layout-start>*:not(:last-child) {
	margin-right: 1em
}

div.dt-container div.dt-layout-end>*:not(:first-child) {
	margin-left: 1em
}

div.dt-container div.dt-layout-full {
	width: 100%
}

div.dt-container div.dt-layout-full>*:only-child {
	margin-left: auto;
	margin-right: auto
}

div.dt-container div.dt-layout-table>div {
	display: block !important
}

@media screen and (max-width: 767px) {
	div.dt-container div.dt-layout-start>*:not(:last-child) {
		margin-right: 0
	}

	div.dt-container div.dt-layout-end>*:not(:first-child) {
		margin-left: 0
	}
}

div.dt-container {
	position: relative;
	clear: both
}

div.dt-container .dt-search input {
	border: 1px solid #aaa;
	border-radius: 3px;
	padding: 5px;
	background-color: transparent;
	color: inherit;
	margin-left: 3px
}

div.dt-container .dt-input {
	border: 1px solid #aaa;
	border-radius: 3px;
	padding: 5px;
	background-color: transparent;
	color: inherit
}

div.dt-container select.dt-input {
	padding: 4px
}

div.dt-container .dt-paging .dt-paging-button {
	box-sizing: border-box;
	display: inline-block;
	min-width: 1.5em;
	padding: .5em 1em;
	margin-left: 2px;
	text-align: center;
	text-decoration: none !important;
	cursor: pointer;
	color: inherit !important;
	border: 1px solid transparent;
	border-radius: 2px;
	background: transparent
}

div.dt-container .dt-paging .dt-paging-button.current,
div.dt-container .dt-paging .dt-paging-button.current:hover {
	color: inherit !important;
	border: 1px solid rgba(0, 0, 0, 0.3);
	background-color: rgba(0, 0, 0, 0.05);
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(229.5, 229.5, 229.5, 0.05)), color-stop(100%, rgba(0, 0, 0, 0.05)));
	background: -webkit-linear-gradient(top, rgba(229.5, 229.5, 229.5, 0.05) 0%, rgba(0, 0, 0, 0.05) 100%);
	background: -moz-linear-gradient(top, rgba(229.5, 229.5, 229.5, 0.05) 0%, rgba(0, 0, 0, 0.05) 100%);
	background: -ms-linear-gradient(top, rgba(229.5, 229.5, 229.5, 0.05) 0%, rgba(0, 0, 0, 0.05) 100%);
	background: -o-linear-gradient(top, rgba(229.5, 229.5, 229.5, 0.05) 0%, rgba(0, 0, 0, 0.05) 100%);
	background: linear-gradient(to bottom, rgba(229.5, 229.5, 229.5, 0.05) 0%, rgba(0, 0, 0, 0.05) 100%)
}

div.dt-container .dt-paging .dt-paging-button.disabled,
div.dt-container .dt-paging .dt-paging-button.disabled:hover,
div.dt-container .dt-paging .dt-paging-button.disabled:active {
	cursor: default;
	color: rgba(0, 0, 0, 0.5) !important;
	border: 1px solid transparent;
	background: transparent;
	box-shadow: none
}

div.dt-container .dt-paging .dt-paging-button:hover {
	color: white !important;
	border: 1px solid #111;
	background-color: #111;
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, rgb(88.4, 88.4, 88.4)), color-stop(100%, #111));
	background: -webkit-linear-gradient(top, rgb(88.4, 88.4, 88.4) 0%, #111 100%);
	background: -moz-linear-gradient(top, rgb(88.4, 88.4, 88.4) 0%, #111 100%);
	background: -ms-linear-gradient(top, rgb(88.4, 88.4, 88.4) 0%, #111 100%);
	background: -o-linear-gradient(top, rgb(88.4, 88.4, 88.4) 0%, #111 100%);
	background: linear-gradient(to bottom, rgb(88.4, 88.4, 88.4) 0%, #111 100%)
}

div.dt-container .dt-paging .dt-paging-button:active {
	outline: none;
	background-color: rgb(11.9, 11.9, 11.9);
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, rgb(42.5, 42.5, 42.5)), color-stop(100%, rgb(11.9, 11.9, 11.9)));
	background: -webkit-linear-gradient(top, rgb(42.5, 42.5, 42.5) 0%, rgb(11.9, 11.9, 11.9) 100%);
	background: -moz-linear-gradient(top, rgb(42.5, 42.5, 42.5) 0%, rgb(11.9, 11.9, 11.9) 100%);
	background: -ms-linear-gradient(top, rgb(42.5, 42.5, 42.5) 0%, rgb(11.9, 11.9, 11.9) 100%);
	background: -o-linear-gradient(top, rgb(42.5, 42.5, 42.5) 0%, rgb(11.9, 11.9, 11.9) 100%);
	background: linear-gradient(to bottom, rgb(42.5, 42.5, 42.5) 0%, rgb(11.9, 11.9, 11.9) 100%);
	box-shadow: inset 0 0 3px #111
}

div.dt-container .dt-paging .ellipsis {
	padding: 0 1em
}

div.dt-container .dt-length,
div.dt-container .dt-search,
div.dt-container .dt-info,
div.dt-container .dt-processing,
div.dt-container .dt-paging {
	color: inherit
}

div.dt-container .dataTables_scroll {
	clear: both
}

div.dt-container .dataTables_scroll div.dt-scroll-body {
	-webkit-overflow-scrolling: touch
}

div.dt-container .dataTables_scroll div.dt-scroll-body>table>thead>tr>th,
div.dt-container .dataTables_scroll div.dt-scroll-body>table>thead>tr>td,
div.dt-container .dataTables_scroll div.dt-scroll-body>table>tbody>tr>th,
div.dt-container .dataTables_scroll div.dt-scroll-body>table>tbody>tr>td {
	vertical-align: middle
}

div.dt-container .dataTables_scroll div.dt-scroll-body>table>thead>tr>th>div.dataTables_sizing,
div.dt-container .dataTables_scroll div.dt-scroll-body>table>thead>tr>td>div.dataTables_sizing,
div.dt-container .dataTables_scroll div.dt-scroll-body>table>tbody>tr>th>div.dataTables_sizing,
div.dt-container .dataTables_scroll div.dt-scroll-body>table>tbody>tr>td>div.dataTables_sizing {
	height: 0;
	overflow: hidden;
	margin: 0 !important;
	padding: 0 !important
}

div.dt-container.dt-empty-footer tbody>tr:last-child>* {
	border-bottom: 1px solid rgba(0, 0, 0, 0.3)
}

div.dt-container.dt-empty-footer .dt-scroll-body {
	border-bottom: 1px solid rgba(0, 0, 0, 0.3)
}

div.dt-container.dt-empty-footer .dt-scroll-body tbody>tr:last-child>* {
	border-bottom: none
}

html.dark {
	--dt-row-hover: 255, 255, 255;
	--dt-row-stripe: 255, 255, 255;
	--dt-column-ordering: 255, 255, 255
}

html.dark table.dataTable>thead>tr>th,
html.dark table.dataTable>thead>tr>td {
	border-bottom: 1px solid rgb(89, 91, 94)
}

html.dark table.dataTable>thead>tr>th:active,
html.dark table.dataTable>thead>tr>td:active {
	outline: none
}

html.dark table.dataTable>tfoot>tr>th,
html.dark table.dataTable>tfoot>tr>td {
	border-top: 1px solid rgb(89, 91, 94)
}

html.dark table.dataTable.row-border>tbody>tr>*,
html.dark table.dataTable.display>tbody>tr>* {
	border-top: 1px solid rgb(64, 67, 70)
}

html.dark table.dataTable.row-border>tbody>tr:first-child>*,
html.dark table.dataTable.display>tbody>tr:first-child>* {
	border-top: none
}

html.dark table.dataTable.row-border>tbody>tr.selected+tr.selected>td,
html.dark table.dataTable.display>tbody>tr.selected+tr.selected>td {
	border-top-color: rgba(13, 110, 253, 0.65);
	border-top-color: rgba(var(--dt-row-selected), 0.65)
}

html.dark table.dataTable.cell-border>tbody>tr>th,
html.dark table.dataTable.cell-border>tbody>tr>td {
	border-top: 1px solid rgb(64, 67, 70);
	border-right: 1px solid rgb(64, 67, 70)
}

html.dark table.dataTable.cell-border>tbody>tr>th:first-child,
html.dark table.dataTable.cell-border>tbody>tr>td:first-child {
	border-left: 1px solid rgb(64, 67, 70)
}

html.dark .dt-container.dt-empty-footer table.dataTable {
	border-bottom: 1px solid rgb(89, 91, 94)
}

html.dark .dt-container .dt-search input,
html.dark .dt-container .dt-length select {
	border: 1px solid rgba(255, 255, 255, 0.2);
	background-color: var(--dt-html-background)
}

html.dark .dt-container .dt-paging .dt-paging-button.current,
html.dark .dt-container .dt-paging .dt-paging-button.current:hover {
	border: 1px solid rgb(89, 91, 94);
	background: rgba(255, 255, 255, 0.15)
}

html.dark .dt-container .dt-paging .dt-paging-button.disabled,
html.dark .dt-container .dt-paging .dt-paging-button.disabled:hover,
html.dark .dt-container .dt-paging .dt-paging-button.disabled:active {
	color: #666 !important
}

html.dark .dt-container .dt-paging .dt-paging-button:hover {
	border: 1px solid rgb(53, 53, 53);
	background: rgb(53, 53, 53)
}

html.dark .dt-container .dt-paging .dt-paging-button:active {
	background: rgb(58.1, 58.1, 58.1)
}

*[dir=rtl] table.dataTable thead th,
*[dir=rtl] table.dataTable thead td,
*[dir=rtl] table.dataTable tfoot th,
*[dir=rtl] table.dataTable tfoot td {
	text-align: right
}

*[dir=rtl] table.dataTable th.dt-type-numeric,
*[dir=rtl] table.dataTable th.dt-type-date,
*[dir=rtl] table.dataTable td.dt-type-numeric,
*[dir=rtl] table.dataTable td.dt-type-date {
	text-align: left
}

*[dir=rtl] div.dt-container div.dt-layout-cell.dt-start {
	text-align: right
}

*[dir=rtl] div.dt-container div.dt-layout-cell.dt-end {
	text-align: left
}

*[dir=rtl] div.dt-container div.dt-search input {
	margin: 0 3px 0 0
}
 /* Custom style */
  input:focus-visible {
    outline: none;
    box-shadow: none;
    border: none;
    }
    .table-wrapper {
    background: #fff;
    padding: 16px;
    border-radius: 8px;
    width:100%;
    }
    table#geneTable {
    width: 100% !important;
    font-size: 0.82rem;;
    }
    /* Header colors (approximate screenshot styling) */
    table#geneTable thead th {
    background-color: #DAE9F7;
    }
    /* Improve readability */
    table#geneTable thead th {
    font-weight: bold;
    border: 1px solid #888;
    }
    table#geneTable thead th input {
    width: 100%;
    margin-top: 5px;
    padding: 4px 6px;
    font-size:13px;
    border: 1px solid #777;
    border-radius: 3px;
    background: #fff;
    color: #444;
    box-sizing: border-box;
    display: block;
    font-weight:400;
    font-family: 'MayoClinicSans-Regular';
    }
    table#geneTable tbody td {
    vertical-align: top;
    padding: 8px 10px;
    max-width: 220px;
    word-wrap: break-word;
    }
    table#geneTable tbody tr:hover {
    background: #f0f4ff !important;
    }
    th .header-top {
    margin-bottom: 8px;
    }
    th {
    overflow: visible !important;
    }
	td.dt-type-numeric a {
	display: inline-flex;
	align-items: center;
	}
    th .header-bottom input {
    width: 100%;
    box-sizing: border-box;
    }
    .header-top,
    .header-bottom {
    position: relative;
    }
    th input {
    width: 100%;
    box-sizing: border-box;
    }
    .help-icon {
    position: relative;
    cursor: pointer;
    }
    small {font-family: 'MayoClinicSans-Regular';}
    .help-icon::after {
    content: attr(data-help);
    display: none;
    position: absolute;
    top: 120%;
    left: 0;
    background: #333;
    color: #fff;
    padding: 6px 8px;
    border-radius: 4px;
    white-space: normal;
    z-index: 9999;
    font-size: 13px;
    width: 175px;
    font-weight: 400;
    font-family: 'MayoClinicSans-Regular';
    }
    .help-icon:hover::after {
    display: block;
    }
    @media only screen and (max-width: 991px) {
    .table-wrapper {
    overflow-x: scroll;
    }
    }
    div.dt-container select.dt-input {
    margin-right: 5px;
    }
    div.dt-container .dt-search input {
    height: 32px;
    }
    table tbody tr:nth-child(odd) td {
    background: transparent;
    }
    /* Keep table behavior intact */
    thead th {
    padding: 6px 8px !important;
    vertical-align: bottom;
    height: 90px; /* force equal height */
    box-sizing: border-box;
    }
    /* Make top section consistent height */
    .header-top {
    height: 60px;
    display: flex;
    }
    /* Fix DataTables wrapper */
    .dt-column-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    }
    /* Bottom section always sits aligned */
    .header-bottom {
    height: 30px;              /* FIXED height */
    display: flex;
    align-items: center;
    }
    /* Input styling */
    .header-bottom input {
    width: 100%;
    height: 26px;
    margin: 0;
    box-sizing: border-box;
    }
a[href^="https://www."].no-external-icon::after {
    content: "" !important;
    margin-left: 0px;
}
#geneTable tbody td:first-child {
    font-style: italic;
}